org.jboss.jca.core.spi.workmanager.notification

## Interface NotificationListener

-     public interface NotificationListener

  The notification listener gets notified about changes

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deltaDoWorkAccepted()` Delta doWork accepted
    `void` | `deltaDoWorkRejected()` Delta doWork rejected
    `void` | `deltaScheduleWorkAccepted()` Delta scheduleWork accepted
    `void` | `deltaScheduleWorkRejected()` Delta scheduleWork rejected
    `void` | `deltaStartWorkAccepted()` Delta startWork accepted
    `void` | `deltaStartWorkRejected()` Delta startWork rejected
    `void` | `deltaWorkFailed()` Delta work failed
    `void` | `deltaWorkSuccessful()` Delta work successful
    `void` | `join(Address address)` A distributed work manager joined
    `void` | `leave(Address address)` A distributed work manager left
    `void` | `updateLongRunningFree(Address address, long free)` Update the long thread pool information for a distributed work manager
    `void` | `updateShortRunningFree(Address address, long free)` Update the short thread pool information for a distributed work manager

- - ### Method Detail

    - #### join

          void join(Address address)

      A distributed work manager joined
      Parameters:
        `address` - The address

    - #### leave

          void leave(Address address)

      A distributed work manager left
      Parameters:
        `address` - The address

    - #### updateShortRunningFree

          void updateShortRunningFree(Address address,
                                      long free)

      Update the short thread pool information for a distributed work manager
      Parameters:
        `address` - The address
        `free` - The number of free threads

    - #### updateLongRunningFree

          void updateLongRunningFree(Address address,
                                     long free)

      Update the long thread pool information for a distributed work manager
      Parameters:
        `address` - The address
        `free` - The number of free threads

    - #### deltaDoWorkAccepted

          void deltaDoWorkAccepted()

      Delta doWork accepted

    - #### deltaDoWorkRejected

          void deltaDoWorkRejected()

      Delta doWork rejected

    - #### deltaStartWorkAccepted

          void deltaStartWorkAccepted()

      Delta startWork accepted

    - #### deltaStartWorkRejected

          void deltaStartWorkRejected()

      Delta startWork rejected

    - #### deltaScheduleWorkAccepted

          void deltaScheduleWorkAccepted()

      Delta scheduleWork accepted

    - #### deltaScheduleWorkRejected

          void deltaScheduleWorkRejected()

      Delta scheduleWork rejected

    - #### deltaWorkSuccessful

          void deltaWorkSuccessful()

      Delta work successful

    - #### deltaWorkFailed

          void deltaWorkFailed()

      Delta work failed

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)